Permalink
Commits on Jun 28, 2016
  1. Bumped version

    weierophinney committed Jun 28, 2016
  2. 3.0.0 readiness

    weierophinney committed Jun 28, 2016
  3. Updated branch aliases

    - dev-master => 3.0-dev
    - dev-develop => 3.1-dev
    weierophinney committed Jun 28, 2016
  4. Added CHANGELOG for #7714

    weierophinney committed Jun 28, 2016
Commits on Jun 27, 2016
  1. Incorporate feedback from @Akrabat

    - Link "Zend Framework QuickStart" directly (instead of additional bullet point)
    - Provide *recommended* ways to install (zend-mvc and Expressive skeletons)
    weierophinney committed Jun 27, 2016
  2. Fixed component lists

    - Removed redundant `zendframework/` path segment in all links
    - Removed `zendframework/` prefix from all package names
    weierophinney committed Jun 27, 2016
Commits on Jun 23, 2016
  1. Updated zend-mvc minimum version to 3.0.1

    - Brings in the LazyControllerFactory
    weierophinney committed Jun 23, 2016
Commits on Jun 22, 2016
  1. Update zend-log dep to 2.9

    weierophinney committed Jun 22, 2016
Commits on Jun 21, 2016
  1. Updated component list

    - Updated to list latest stable version of each
    - Added new components:
      - zend-mvc-console
      - zend-mvc-plugins
      - zend-mvc-form
      - zend-mvc-i18n
      - zend-json-server
      - zend-xml2json
      - zend-diactoros
      - zend-stratigility
      - zend-psr7bridge
      - zend-hydrator
      - zend-servicemanager-di
    - Updated suggestion list
      - detail stable version of ldap
    weierophinney committed Jun 20, 2016
Commits on Jun 20, 2016
  1. Removed binaries from repository

    - plugin map generator and classmap generator are no longer relevant
    - template map generator is moving to zend-view
    weierophinney committed Jun 20, 2016
Commits on Jan 27, 2016
  1. Added CHANGELOG for #7665

    weierophinney committed Jan 27, 2016
  2. Updated dependencies to `^2.5`

    Previously, we were using `~2.5.0`, which is equivalent to `>=2.5.0,<2.6.0`.
    This is problematic, as a number of components are at 2.6 and 2.7 versions, and
    some of those newer versions include security fixes. By being too restrictive in
    the constraints, we are locking users to insecure versions, which is problematic.
    
    As none of these new minor versions introduces backwards compatibility breaks,
    this patch updates to use the `^2.5` constraint to allow `>=2.5.0,<3.0.0`
    versions to be installed for all components.
    weierophinney committed Jan 27, 2016
Commits on Aug 3, 2015
  1. Merge branch 'release-2.5' into develop

    Updates ZendXml to 1.0.1, to address ZF2015-06 (see http://framework.zend.com/security/advisory/ZF2015-06)
    weierophinney committed Aug 3, 2015
  2. Merge branch 'release-2.5'

    Updates ZendXml to 1.0.1, to address ZF2015-06 (see http://framework.zend.com/security/advisory/ZF2015-06)
    weierophinney committed Aug 3, 2015
  3. Update zendxml to `^1.0.1`

    - To bring in ZF2015-06 mitigation.
    weierophinney committed Aug 3, 2015
Commits on Aug 2, 2015
  1. Merge pull request #7612 from radarhere/patch-1

    Fixed typo
    Maks3w committed Aug 2, 2015
Commits on Jul 22, 2015
  1. Fixed typo

    radarhere committed Jul 22, 2015
Commits on Jun 5, 2015
  1. Merge pull request #7576 from campersau/patch-1

    update latest CHANGELOG.md with correct zf version
    Maks3w committed Jun 5, 2015
Commits on Jun 4, 2015
  1. Merge branch 'version/bump' into develop

    Bump to next dev version
    weierophinney committed Jun 4, 2015
  2. Merge branch 'version/bump'

    Bump to 2.5.2dev
    weierophinney committed Jun 4, 2015